Skip to main content
get/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/suggestions
Request example
Response
get/v2/teamspaces/{teamspaceId}/libraries/{owner}/{repo}/suggestions

Authorization

Authorizationstringheaderrequired#
Get your API key at context7.com/dashboard. Treat your API key like a password and store it securely.

Path parameters

teamspaceIdstringrequired#
Teamspace id (uuid).
ownerstringrequired#
First segment of the library id /owner/repo (for example vercel in /vercel/next.js, websites in /websites/docs_example_com). Case-insensitive.
repostringrequired#
Second segment of the library id /owner/repo. Case-insensitive.

Query parameters

reportenum<string>#
usage (default): request counts. topics, countries: lifetime breakdowns. clients: daily unique MCP users per client.

Default: "usage"

Options:usagetopicscountriesclients
daysinteger#
Days of daily data (usage, clients).

Default: 30

Range: 1–365

Responses

application/json
The suggestions
suggestionsobject[]required#